UR-DEFINE-DATASOURCE-FILE(1p)

NAME
ur define datasource file - Add a file-based data source (not yet implemented)

VERSION
This document describes ur define datasource file version 0.29.

SYNOPSIS
ur define datasource file --server=? [--singleton] [--dsid=?] [DSNAME]

REQUIRED ARGUMENTS

server  String
    "server" attribute for this data source, such as a database name

singleton  Boolean
    by default all data sources are singletons, but this can be turned off

    Default value 'true' if not specified

nosingleton  Boolean
    Make singleton 'false'

OPTIONAL ARGUMENTS

dsid  Text
    The full class name to give this data source.

DSNAME  Text
    The distinctive part of the class name for this data source. Will be prefixed with the namespace then '::DataSource::'.

DESCRIPTION:
  Add a file-based data source (not yet implemented)